Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 693413 - Service.startOver resets Status.sync too late, prefs pane flickers
: Service.startOver resets Status.sync too late, prefs pane flickers
[verified in services][qa!][qa!:9]
: regression, verified-beta
Product: Cloud Services
Classification: Client Software
Component: Firefox Sync: Backend (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla10
Assigned To: Philipp von Weitershausen [:philikon]
Depends on:
Blocks: 691663
  Show dependency treegraph
Reported: 2011-10-10 13:15 PDT by Philipp von Weitershausen [:philikon]
Modified: 2012-04-11 11:06 PDT (History)
3 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

v1 (3.95 KB, patch)
2011-10-10 17:39 PDT, Philipp von Weitershausen [:philikon]
rnewman: review+
asa: approval‑mozilla‑aurora+
asa: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Philipp von Weitershausen [:philikon] 2011-10-10 13:15:13 PDT
This is a tiny regression from bug 691663 that I just found: If you "Unlink This Device" in the Sync prefs pane, the prefs pane flickers and goes back to displaying the page for when you have Sync set up (which is wrong). I believe the reason for that is because we reset Status.sync too late in Service.startOver.

Fix incoming.
Comment 1 Philipp von Weitershausen [:philikon] 2011-10-10 17:39:14 PDT
Created attachment 566093 [details] [diff] [review]
Comment 2 Richard Newman [:rnewman] 2011-10-10 17:45:21 PDT
Comment on attachment 566093 [details] [diff] [review]

Review of attachment 566093 [details] [diff] [review]:

::: services/sync/tests/unit/test_service_startOver.js
@@ +37,5 @@
> +
> +  // Verify set up.
> +  do_check_eq(Status.checkSetup(), STATUS_OK);
> +
> +  // Verify state that the observer sees

Comment 3 Philipp von Weitershausen [:philikon] 2011-10-10 18:26:32 PDT
Comment 4 Philipp von Weitershausen [:philikon] 2011-10-10 18:32:53 PDT
STRs for QA:

- Choose a profile that has Sync set up (or set up Sync)
- Click on "Unlink This Device" in the Sync prefpane
- ensure the prefpane shows the "Set up Sync" and "Pair a Device" links

Please note: this regression was introduced by bug 691663. "Unlink This Device" is an essential feature of Sync, much like the Sync setup wizard, and should be part of every smoketest.
Comment 5 Philipp von Weitershausen [:philikon] 2011-10-11 18:42:12 PDT
Comment on attachment 566093 [details] [diff] [review]

Requesting approval for Beta and Aurora since bug 691663 which caused this tiny regression was landed in those places last week. I apologize for causing that and made sure to follow up with QA since the regression should really have been found when running smoketests against bug 691663 (which we did before landing in Aurora and Beta).
Comment 6 Mihaela Velimiroviciu (:mihaelav) 2011-10-12 06:28:27 PDT
Mozilla/5.0 (Windows NT 6.1; rv:10.0a1) Gecko/20111011 Firefox/10.0a1
Mozilla/5.0 (Windows NT 5.1; rv:10.0a1) Gecko/20111011 Firefox/10.0a1
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:10.0a1) Gecko/20111011 Firefox/10.0a1
Mozilla/5.0 (X11; Linux i686 on x86_64; rv:10.0a1) Gecko/20111011 Firefox/10.0a1

ID: 20111011093957

Verified the fix on the above builds.
After unlinking a device, the "Set Up Sync" and "Pair a device" pane is shown and no flickering observed.
Comment 7 Philipp von Weitershausen [:philikon] 2011-10-12 12:56:00 PDT
Comment 8 Philipp von Weitershausen [:philikon] 2011-10-18 20:24:44 PDT
Comment 9 Philipp von Weitershausen [:philikon] 2011-10-18 20:36:03 PDT
Comment 10 Mihaela Velimiroviciu (:mihaelav) 2011-12-13 08:17:17 PST
Mozilla/5.0 (X11; Linux i686 on x86_64; rv:9.0) Gecko/20100101 Firefox/9.0
Mozilla/5.0 (Windows NT 6.1; rv:9.0) Gecko/20100101 Firefox/9.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:9.0) Gecko/20100101 Firefox/9.0

Verified on 9beta5 using the steps from comment #4 and no flicker was observed; device unlinked successfully

Note You need to log in before you can comment on or make changes to this bug.